umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Private Attributes | List of all members
ToolBarStatePool Class Reference

`#include <toolbarstatepool.h>`

Inheritance diagram for ToolBarStatePool:

## Public Member Functions
virtual | ~ToolBarStatePool ()
void | setButton (const WorkToolBar::ToolBar_Buttons &button)
WorkToolBar::ToolBar_Buttons | getButton () const
Public Member Functions inherited from ToolBarState
virtual | ~ToolBarState ()
virtual void | init ()
virtual void | cleanBeforeChange ()
virtual void | mousePress (QGraphicsSceneMouseEvent *ome)
virtual void | mouseRelease (QGraphicsSceneMouseEvent *ome)
virtual void | mouseDoubleClick (QGraphicsSceneMouseEvent *ome)
virtual void | mouseMove (QGraphicsSceneMouseEvent *ome)

## Protected Member Functions
| ToolBarStatePool (UMLScene *umlScene)
Protected Member Functions inherited from ToolBarState
| ToolBarState (UMLScene *umlScene)
virtual void | setCurrentElement ()
virtual void | mousePressAssociation ()
virtual void | mousePressWidget ()
virtual void | mousePressEmpty ()
virtual void | mouseReleaseAssociation ()
virtual void | mouseReleaseWidget ()
virtual void | mouseReleaseEmpty ()
virtual void | mouseDoubleClickAssociation ()
virtual void | mouseDoubleClickWidget ()
virtual void | mouseDoubleClickEmpty ()
virtual void | mouseMoveAssociation ()
virtual void | mouseMoveWidget ()
virtual void | mouseMoveEmpty ()
virtual void | changeTool ()
virtual UMLWidget * | currentWidget () const
virtual void | setCurrentWidget (UMLWidget *widget)
virtual AssociationWidget * | currentAssociation () const
virtual void | setCurrentAssociation (AssociationWidget *association)
void | setMouseEvent (QGraphicsSceneMouseEvent *ome, const QEvent::Type &type)
AssociationWidget * | associationAt (const QPointF &pos)
MessageWidget * | messageAt (const QPointF &pos)
FloatingDashLineWidget * | floatingLineAt (const QPointF &pos)

## Private Attributes
WorkToolBar::ToolBar_Buttons | m_ToolBarButton
| The current button of the tool.

## Additional Inherited Members
Public Slots inherited from ToolBarState
virtual void | slotAssociationRemoved (AssociationWidget *association)
virtual void | slotWidgetRemoved (UMLWidget *widget)
Signals inherited from ToolBarState
void | finished ()
Protected Attributes inherited from ToolBarState
UMLScene * | m_pUMLScene
| The UMLScene.
QGraphicsSceneMouseEvent * | m_pMouseEvent
| The mouse event currently in use.

## Detailed Description

Base class for tools that can use the same state but with different button. This class only adds support to specify the button currently in use for a tool bar state.

## Constructor & Destructor Documentation

## ◆ ~ToolBarStatePool()

ToolBarStatePool::~ToolBarStatePool | ( |  | ) |
| virtual

Destroys this ToolBarStatePool.

## ◆ ToolBarStatePool()

ToolBarStatePool::ToolBarStatePool | ( | UMLScene * | umlScene | ) |
| protected

Creates a new ToolBarStatePool. Protected to avoid classes other than derived to create objects of this class.

Parameters

  umlScene | The UMLScene to use.

## Member Function Documentation

## ◆ getButton()

WorkToolBar::ToolBar_Buttons ToolBarStatePool::getButton | ( |  | ) | const

Returns the current button.

Returns
  The current button.

## ◆ setButton()

void ToolBarStatePool::setButton | ( | const WorkToolBar::ToolBar_Buttons & | button | ) |

Sets the current button and inits the tool. If the current button is the same to the button to set, the tool isn't initialized.

Parameters

  button | The button to set.

## Member Data Documentation

## ◆ m_ToolBarButton

WorkToolBar::ToolBar_Buttons ToolBarStatePool::m_ToolBarButton
| private

The current button of the tool.

The documentation for this class was generated from the following files:

- umbrello/toolbarstatepool.h
- umbrello/toolbarstatepool.cpp